Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.service.impl
Class AuthenticationCertificateRegistrationServiceImpl

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.service.impl.AuthenticationCertificateRegistrationServiceImpl

All Implemented Interfaces:
  ConfigurableImplementation, AuthenticationCertificateRegistrationService

    public class AuthenticationCertificateRegistrationServiceImpl

extends Object
implements AuthenticationCertificateRegistrationService, ConfigurableImplementation

Constructor Summary
`AuthenticationCertificateRegistrationServiceImpl()`

Method Summary
`Result<Certificate>` | `generateCertificate(NewCertificateContract contract)`
`Result<GeneratedContract>` | `generateContract(ContractRequest contractRequest)`
`Result<GeneratedRevocationContract>` | `generateRevocationContract(RevocationContractRequest revocationContractRequest)`
`Result<ActorQualities>` | `getActorQualities()`
`Result<List<String>>` | `getApplicationIdList(Organization organization)`
`Result<X509Certificate[]>` | `getCertificate(byte[] publicKeyIdentifier)`
`Result<CertificateInfoType>` | `getCertificateInfoForAuthenticationCertificate(Credential credential)`
`Result<List<CertificateInfoType>>` | `getCertificateInfoForCitizen()`
`Result<GetGenericOrganizationTypesResponse>` | `getOrganizationList()`
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.
`Result<Void>` | `revokeCertificate(RevocationRequest revocationRequest)`
`Result<SubmitCSRForForeignerResponseInfo>` | `submitCSRForForeigner(ForeignerRequest foreignerRequest)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationCertificateRegistrationServiceImpl

    public AuthenticationCertificateRegistrationServiceImpl()

Method Detail

### generateCertificate

    public Result<Certificate> generateCertificate(NewCertificateContract contract)
                                            throws TechnicalConnectorException

  Specified by:
    `generateCertificate` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getCertificate

    public Result<X509Certificate[]> getCertificate(byte[] publicKeyIdentifier)
                                             throws TechnicalConnectorException

  Specified by:
    `getCertificate` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### generateContract

    public Result<GeneratedContract> generateContract(ContractRequest contractRequest)
                                               throws TechnicalConnectorException

  Specified by:
    `generateContract` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### revokeCertificate

    public Result<Void> revokeCertificate(RevocationRequest revocationRequest)
                                   throws TechnicalConnectorException

  Specified by:
    `revokeCertificate` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getOrganizationList

    public Result<GetGenericOrganizationTypesResponse> getOrganizationList()
                                                                    throws TechnicalConnectorException

  Specified by:
    `getOrganizationList` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getActorQualities

    public Result<ActorQualities> getActorQualities()
                                             throws TechnicalConnectorException

  Specified by:
    `getActorQualities` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getApplicationIdList

    public Result<List<String>> getApplicationIdList(Organization organization)
                                              throws TechnicalConnectorException

  Specified by:
    `getApplicationIdList` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getCertificateInfoForAuthenticationCertificate

    public Result<CertificateInfoType> getCertificateInfoForAuthenticationCertificate(Credential credential)
                                                                               throws TechnicalConnectorException

  Specified by:
    `getCertificateInfoForAuthenticationCertificate` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getCertificateInfoForCitizen

    public Result<List<CertificateInfoType>> getCertificateInfoForCitizen()
                                                                   throws TechnicalConnectorException

  Specified by:
    `getCertificateInfoForCitizen` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### submitCSRForForeigner

    public Result<SubmitCSRForForeignerResponseInfo> submitCSRForForeigner(ForeignerRequest foreignerRequest)
                                                                    throws TechnicalConnectorException

  Specified by:
    `submitCSRForForeigner` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### generateRevocationContract

    public Result<GeneratedRevocationContract> generateRevocationContract(RevocationContractRequest revocationContractRequest)
                                                                   throws TechnicalConnectorException

  Specified by:
    `generateRevocationContract` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.